Debian Bug report logs - #618211
cynthiune.app: FTBFS: CynthiuneController.m:32:36: fatal error: AppKit/NSWindow+Toolbar.h: No such file or directory

version graph

Package: src:cynthiune.app; Maintainer for src:cynthiune.app is Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 13 Mar 2011 17:56:25 UTC

Severity: serious

Tags: sid, wheezy

Found in version cynthiune.app/0.9.5-12

Fixed in version cynthiune.app/0.9.5-13

Done: Yavor Doganov <yavor@gnu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>:
Bug#618211; Package src:cynthiune.app. (Sun, 13 Mar 2011 17:56:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>. (Sun, 13 Mar 2011 17:56:28 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: cynthiune.app: FTBFS: CynthiuneController.m:32:36: fatal error: AppKit/NSWindow+Toolbar.h: No such file or directory
Date: Sun, 13 Mar 2011 18:38:06 +0100
Source: cynthiune.app
Version: 0.9.5-12
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20110313 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[2]: Entering directory `/build/user-cynthiune.app_0.9.5-12-amd64-7RAYEv/cynthiune.app-0.9.5/Bundles/aRts'
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj
> Making all for bundle aRts...
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj/aRts.obj/
> /usr/share/GNUstep/Makefiles/mkinstalldirs aRts.output/.
> gcc aRts.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -Wall -Wno-import -I/usr/include/kde/artsc -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DARTSD="\"/usr/bin/artsd\"" -fconstant-string-class=NSConstantString -I../../Frameworks -I../../Frameworks/Cynthiune/Cynthiune.framework/Headers -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/aRts.obj/aRts.m.o
> gcc -shared  -rdynamic  -L../../Frameworks/Cynthiune/Cynthiune.framework/Versions/Current -lCynthiune     -Wl,-z,defs -Wl,--as-needed -Wl,-rpath,/usr/lib/cynthiune.app -shared-libgcc -fexceptions -o ./aRts.output/./aRts ./obj/aRts.obj/aRts.m.o      -L/usr/local/lib -L/usr/lib   -L/usr/lib -lartsc    -lgnustep-gui    -lgnustep-base   -lpthread -lobjc   -lm
> /usr/share/GNUstep/Makefiles/mkinstalldirs aRts.output/Resources
> echo "OLD_GNUSTEP_STAMP_ASTRING = _aRts-" > ./aRts.output/stamp.make
> (echo "{"; echo '  NOTE = "Automatically generated, do not edit!";'; \
> 	  echo "  NSExecutable = \"aRts\";"; \
> 	  echo "  NSMainNibFile = \"\";"; \
> 	  echo "  NSPrincipalClass = \"aRts\";"; \
> 	  echo "}") >aRts.output/Resources/Info-gnustep.plist
> if [ -r "aRtsInfo.plist" ]; then \
> 	  plmerge aRts.output/Resources/Info-gnustep.plist aRtsInfo.plist; \
> 	fi
> make[2]: Leaving directory `/build/user-cynthiune.app_0.9.5-12-amd64-7RAYEv/cynthiune.app-0.9.5/Bundles/aRts'
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj
> Making all for app Cynthiune...
> cd .; \
> 	/usr/share/GNUstep/Makefiles/mkinstalldirs ./obj/Cynthiune.obj/
> /usr/share/GNUstep/Makefiles/mkinstalldirs Cynthiune.app/.
> gcc main.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -Wall -Wno-import -fconstant-string-class=NSConstantString -IFrameworks -IFrameworks/Cynthiune/Cynthiune.framework/Headers -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Cynthiune.obj/main.m.o
> gcc BundleManager.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -Wall -Wno-import -fconstant-string-class=NSConstantString -IFrameworks -IFrameworks/Cynthiune/Cynthiune.framework/Headers -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Cynthiune.obj/BundleManager.m.o
> gcc CynthiuneAnimatedImageView.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -Wall -Wno-import -fconstant-string-class=NSConstantString -IFrameworks -IFrameworks/Cynthiune/Cynthiune.framework/Headers -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Cynthiune.obj/CynthiuneAnimatedImageView.m.o
> gcc CynthiuneController.m -c \
> 	      -MMD -MP -DGNUSTEP -DGNUSTEP_BASE_LIBRARY=1 -DGNU_GUI_LIBRARY=1 -DGNU_RUNTIME=1 -DGNUSTEP_BASE_LIBRARY=1 -D_REENTRANT -fPIC -Wall -DGSWARN -DGSDIAGNOSE -Wno-import -g -O2 -fno-strict-aliasing -fexceptions -fobjc-exceptions -D_NATIVE_OBJC_EXCEPTIONS -fgnu-runtime -Wall -Wno-import -fconstant-string-class=NSConstantString -IFrameworks -IFrameworks/Cynthiune/Cynthiune.framework/Headers -I. -I/usr/local/include/GNUstep -I/usr/include/GNUstep \
> 	       -o obj/Cynthiune.obj/CynthiuneController.m.o
> CynthiuneController.m:32:36: fatal error: AppKit/NSWindow+Toolbar.h: No such file or directory
> compilation terminated.
> make[4]: *** [obj/Cynthiune.obj/CynthiuneController.m.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/03/13/cynthiune.app_0.9.5-12_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Added tag(s) pending. Request was from Yavor Doganov <yavor@gnu.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 20:06:10 GMT) Full text and rfc822 format available.

Reply sent to Yavor Doganov <yavor@gnu.org>:
You have taken responsibility. (Tue, 19 Apr 2011 18:03:04 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 19 Apr 2011 18:03:04 GMT) Full text and rfc822 format available.

Message #12 received at 618211-close@bugs.debian.org (full text, mbox):

From: Yavor Doganov <yavor@gnu.org>
To: 618211-close@bugs.debian.org
Subject: Bug#618211: fixed in cynthiune.app 0.9.5-13
Date: Tue, 19 Apr 2011 18:02:09 +0000
Source: cynthiune.app
Source-Version: 0.9.5-13

We believe that the bug you reported is fixed in the latest version of
cynthiune.app, which is due to be installed in the Debian FTP archive:

cynthiune.app_0.9.5-13.diff.gz
  to main/c/cynthiune.app/cynthiune.app_0.9.5-13.diff.gz
cynthiune.app_0.9.5-13.dsc
  to main/c/cynthiune.app/cynthiune.app_0.9.5-13.dsc
cynthiune.app_0.9.5-13_amd64.deb
  to main/c/cynthiune.app/cynthiune.app_0.9.5-13_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 618211@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yavor Doganov <yavor@gnu.org> (supplier of updated cynthiune.app package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 19 Apr 2011 19:33:41 +0300
Source: cynthiune.app
Binary: cynthiune.app
Architecture: source amd64
Version: 0.9.5-13
Distribution: unstable
Urgency: medium
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Changed-By: Yavor Doganov <yavor@gnu.org>
Description: 
 cynthiune.app - Music player for GNUstep
Closes: 618211 620583
Changes: 
 cynthiune.app (0.9.5-13) unstable; urgency=medium
 .
   * debian/control (Build-Depends): Remove libartsc0-dev (Closes:
     #620583).
   * debian/rules (build-stamp, install): Pass `disable-arts=yes'.
   * debian/patches/compilation-errors.patch: Minor change to fix FTBFS
     with GCC 4.5 (Closes: #618211)
Checksums-Sha1: 
 5b2a124f450c4418fbadaec33580d67abd2f7b75 2145 cynthiune.app_0.9.5-13.dsc
 86b54bac751c2cc61b152c345f62f9d36b7d0241 16826 cynthiune.app_0.9.5-13.diff.gz
 f133750b55e664dfa543ba3f5eb39249fbc5f04b 462402 cynthiune.app_0.9.5-13_amd64.deb
Checksums-Sha256: 
 8011806652f546c1232047eed70cd65cce570b658c29ac9b764e69e6e258c0da 2145 cynthiune.app_0.9.5-13.dsc
 88a1d6573dcddc5ad14ab690c60648fbbaf19f8d70a29350cab2e946128504b3 16826 cynthiune.app_0.9.5-13.diff.gz
 fb9074f86df49dcbd28344fc88b61bb31e6ead30fce43fbb552f2d86d28a9a6f 462402 cynthiune.app_0.9.5-13_amd64.deb
Files: 
 f8ddb6ebffba580b71bc6afd941c897c 2145 gnustep optional cynthiune.app_0.9.5-13.dsc
 f584a25048be61dce343330f7dfcff30 16826 gnustep optional cynthiune.app_0.9.5-13.diff.gz
 b599ea96c7c4d3fff8971bf7e96af40c 462402 gnustep optional cynthiune.app_0.9.5-13_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNrcsqAAoJEEkIatPr4vMfHkgP/2B3TEoGn6zh1pB7JbxsdhUw
C0M8olxk0Ejt5bfp+iIqg844nWQVC4lZ5S7iexJYFrXwIOMxP5VLyEHZKaiK+8k9
9Coe5CH7poHJeEIam3RtYreQfupGVoj3DoJIoLq2hIz8LRdEsAYARPM8h7sD2W60
VB+0hNPTByXXIjLqDywPgWnFACfJ+ToUk5bsyFC5VaEuEOiOYbD9JKDijsUMnXqe
bFAX97LUYJwU/styPwZ5I95b1gJsGYiLqoAsg5eqY1sre2f8GrZpOHqsGB/FlI3h
N9GU0SxUJVqkTrwAwRp3WT9fodbl20K2oYHq1Pu/0ZY8Vw2jzozC3BdatGuqbcDl
q/bN+aVgbEIGJ1Ag87X7a8765bSsYl4tc0thdnKC+qxycCF65ndZhpOOyxeSF8oi
auKVNlQkrvYGSpJ9u+Hruxrw2XNuA5XwbtIc8Z8M2+Xvs2m/OV77N222BpFoGvBv
RDZgWsOC3wQKYM4ybNE7E46NbhWteDCi4vZNXi4n41ghueoE0B3Y/8Cx0IvfJcyz
39Nckv0YYhcV03oErvCQWa64Ev+ofOSmSafFDSR/iX+cgnRyramzCsAY2mF0Al4u
QLtq5fVNWx3gq0h4IWT+dEgng0eb4XcBzy6/PRqEAYp15uPQY1L8fXBIi+HEg7Vy
NXgTwRRBIp0fRFsK2hzx
=mxje
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Mar 2012 07:46:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:26:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.